# setup.py
from setuptools import setup
from setuptools import find_packages

from setuptools.command.build_py import build_py as build_py_orig

import keysql_client

REQUIRED_PACKAGES = [
    'python>=3.7',
    #'ssl'
]
setup(
    name='PyKeySql',
    version='2.11.1',             # 'latest'
    #scripts=['keysql_client'],
    #packages=['keysql_client'],
    #url='https://keyark.com',
    author='keyark',
    author_email='nbelyaeva@keyark.com',
    description='KeySQL python client to process data using KeySql Server',
    #packages=find_packages(),
    #include_package_data=True,
    #package_data={'keysql_client/keysql_python_examples':['*'],'keysql_client/keysql_docs':['*'],},
    package_data={'keysql_client': ['keysql_docs/*', 'keysql_python_examples/*']},
    packages=find_packages(include=['keysql_client']), #, 'keysql_client/keysql_python_examples', 'keysql_client/keysql_docs'],   #, 'keysql_ml'],
    #exclude_package_data={'': ['keysql_connector_async_coroutine.py', 'keysql_connection_async_coroutine.py']},
    #                                'keysql_connector_async_coroutine_temp.py',
    #                                "keysql_connector_async_test_birds.py",
    #                                'keysql_connector_non_blocking_as_example.py']},
    classifiers=[
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
    #install_requires=REQUIRED_PACKAGES,
    #zip_safe=False, install_requires=[
    #    'pandas'
    #    ],
    exclude_package_data = {'keysql_client': [
        'keysql_connector_async_coroutine.py'
        'keysql_connection_async_coroutine.py'
        'keysql_connector_async_coroutine_temp'
        'keysql_connector_async_test_birds.py',
        'keysql_connector_non_blocking_as_example.py']},
)
