from enum import Enum
# usage:
# class Color(Enum):
# RED = 1
# GREEN = 2
# BLUE = 3

class StatementType(Enum):
    UNKNOWN = 0
    CREATE = 1
    DROP = 2
    SHOW = 3
    ALTER = 4
    INSERT = 5
    DELETE = 6
    UPDATE = 7
    SELECT = 8
    GRANT = 9       # grant_st = 9
    REVOKE = 10     # revoke_st = 10
    TRUNCATE = 12   # truncate_st = 12
    DESCRIBE = 13   # describe_st = 13

    BEGIN = 14      # begin_st = 14,
    COMMIT = 15     # commit_st = 15,
    ROLLBACK = 16   # rollback_st = 16,
    EMPTY = 17      # 17empty_st = 17

    ANYTHING_ELSE_ST = 11    # anything else


class StatementObj (Enum):               #  statement_obj_t(Enum):
    UNKNOWN = 0      # unknown_st,
    CATALOG = 1      # catalog_st,
    STORE = 2        # store_st,
    KEYOBJECT = 3    # keyobject_st,
    CATALOGS = 4     # catalogs_st,
    STORES = 5       # stores_st
    SCHEMA = 6       # schema_st
    SCHEMAS = 7      # schemas_st
    USER = 8         # user_st = 8
    USERS = 9        # users_st = 9
    PERMISSIONS = 11 # permission_st
    SEQUENCE = 12    # sequence st
    STORAGE = 13     # storage st

    SCRIPT = 14             # script_st = 14,
    TRANSACTION = 15        # transaction_st = 15
    CONNECTION_STRING = 16  # conn_str_st = 16

    ANYTHING_ELSE_OBJ = 10  # anything else:  list users, stores, etc.